classification
Title: ERROR: test_pipe_handle (test.test_asyncio.test_windows_utils.PipeTests) expected ERROR_INVALID_HANDLE on x86 Windows7 3.x
Type: Stage: resolved
Components: asyncio, Tests, Windows Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, steve.dower, tim.golden, vstinner, yselivanov, zach.ware
Priority: normal Keywords: buildbot

Created on 2017-07-24 09:09 by vstinner, last changed 2018-09-21 23:06 by vstinner. This issue is now closed.

Messages (2)
msg298938 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-24 09:09
http://buildbot.python.org/all/builders/x86%20Windows7%203.x/builds/905/steps/test/logs/stdio

...
test_wait_for_handle (test.test_asyncio.test_windows_events.ProactorTests) ... ok
test_wait_for_handle_cancel (test.test_asyncio.test_windows_events.ProactorTests) ... ok
test_pipe_handle (test.test_asyncio.test_windows_utils.PipeTests) ... ERROR
test_pipe_overlapped (test.test_asyncio.test_windows_utils.PipeTests) ... ok
test_popen (test.test_asyncio.test_windows_utils.PopenTests) ... ok
...
======================================================================
ERROR: test_pipe_handle (test.test_asyncio.test_windows_utils.PipeTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\test_asyncio\test_windows_utils.py", line 128, in test_pipe_handle
    raise RuntimeError('expected ERROR_INVALID_HANDLE')
RuntimeError: expected ERROR_INVALID_HANDLE
msg319151 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-09 16:25
Test just failed on x86 Windows7 3.6 when test_asyncio was re-run (sequentially):

http://buildbot.python.org/all/#/builders/90/builds/387

======================================================================
ERROR: test_pipe_handle (test.test_asyncio.test_windows_utils.PipeTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\test_asyncio\test_windows_utils.py", line 128, in test_pipe_handle
    raise RuntimeError('expected ERROR_INVALID_HANDLE')
RuntimeError: expected ERROR_INVALID_HANDLE
History
Date User Action Args
2018-09-21 23:06:35vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-06-09 16:25:13vstinnersetmessages: + msg319151
2017-07-24 09:09:04vstinnercreate